Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.webrender
Class WebRenderAction

    java.lang.Object
      Action
          nextapp.echo2.webrender.WebRenderAction

Direct Known Subclasses:
  WebContainerAction

    public abstract class WebRenderAction

extends Action

Echo `HttpServlet` implementation.

Nested Class Summary
`static interface` | `WebRenderAction.MultipartRequestWrapper` An interface implemented by a supporting object that will handle multipart/form-data encoded HTTP requests.

Field Summary
`static boolean` | `DISABLE_CACHING` A flag indicating whether caching should be disabled for all services.
`static java.lang.String` | `SERVICE_ID_DEFAULT` `Service` identifier of the 'default' service.
`static java.lang.String` | `SERVICE_ID_NEW_INSTANCE` `Service` identifier of the 'new instance' service.
`static java.lang.String` | `SERVICE_ID_PARAMETER` Request parameter identifying requested `Service`.
`static java.lang.String` | `SERVICE_ID_SESSION_EXPIRED` `Service` identifier of the 'session expired' service.

Constructor Summary
`WebRenderAction()`

Method Summary
`ActionForward` | `execute(ActionMapping pMapping, ActionForm pForm, HttpServletRequest request, HttpServletResponse response)` Processes a HTTP request and generates a response.
`static Connection` | `getActiveConnection()` Returns a reference to the `Connection` that is relevant to the current thread, or null if no connection is relevant.
`static WebRenderAction.MultipartRequestWrapper` | `getMultipartRequestWrapper()` Returns the multipart/form-data encoded HTTP request handler.
`static ServiceRegistry` | `getServiceRegistry()` Retrieves the global `ServiceRegistry`.
`ActionForward` | `proceedAction(ActionMapping pMapping, ActionForm pForm, HttpServletRequest pRequest, HttpServletResponse pResponse)` Allows to hack and complete the Action execution
`static void` | `setMultipartRequestWrapper(WebRenderAction.MultipartRequestWrapper multipartRequestWrapper)` Sets the multipart/form-data encoded HTTP request handler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DISABLE_CACHING

    public static final boolean DISABLE_CACHING

  A flag indicating whether caching should be disabled for all services. This flag is for testing purposes only, and should be disabled for production use.

  See Also:
    Constant Field Values

### SERVICE_ID_PARAMETER

    public static final java.lang.String SERVICE_ID_PARAMETER

  Request parameter identifying requested `Service`.

  See Also:
    Constant Field Values

### SERVICE_ID_DEFAULT

    public static final java.lang.String SERVICE_ID_DEFAULT

  `Service` identifier of the 'default' service. The 'default' service is rendered when a client makes a request without a service identifier and a session DOES exist.

  See Also:
    Constant Field Values

### SERVICE_ID_NEW_INSTANCE

    public static final java.lang.String SERVICE_ID_NEW_INSTANCE

  `Service` identifier of the 'new instance' service. The 'new instance' service is rendered when a client makes a request without a service identifier and a session DOES NOT exist..

  See Also:
    Constant Field Values

### SERVICE_ID_SESSION_EXPIRED

    public static final java.lang.String SERVICE_ID_SESSION_EXPIRED

  `Service` identifier of the 'session expired' service. The 'session expired' service is rendered when a client makes a request that has an identifier and is intended for an active session, but no session exists.

  See Also:
    Constant Field Values

Constructor Detail

### WebRenderAction

    public WebRenderAction()

Method Detail

### getActiveConnection

    public static final Connection getActiveConnection()

  Returns a reference to the `Connection` that is relevant to the current thread, or null if no connection is relevant.

  Returns:
    the relevant `Connection`

### getMultipartRequestWrapper

    public static WebRenderAction.MultipartRequestWrapper getMultipartRequestWrapper()

  Returns the multipart/form-data encoded HTTP request handler.

  Returns:
    The multipart/form-data encoded HTTP request handler.
  See Also:
    `setMultipartRequestWrapper(nextapp.echo2.webrender.WebRenderAction.MultipartRequestWrapper)`

### setMultipartRequestWrapper

    public static final void setMultipartRequestWrapper(WebRenderAction.MultipartRequestWrapper multipartRequestWrapper)

  Sets the multipart/form-data encoded HTTP request handler. The multipart request wrapper can only be set one time. It should be set in a static block of your Echo application. This method will disregard additional attempts to set the wrapper if the provided wrapper's class is identical to the existing one. If the wrapper is already set and the new wrapper object's class is different or the wrapper is null, an exception is thrown.

  Parameters:
    `multipartRequestWrapper` - The handler for multipart/form-data encoded HTTP requests.
  Throws:
    `java.lang.IllegalStateException` - if the application attempts to change a previously set multipart request handler.

### getServiceRegistry

    public static ServiceRegistry getServiceRegistry()

  Retrieves the global `ServiceRegistry`.

  Returns:
    The global `ServiceRegistry`.

### execute

    public ActionForward execute(ActionMapping pMapping,
                                 ActionForm pForm,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
                          throws java.io.IOException,
                                 ServletException

  Processes a HTTP request and generates a response.

  Parameters:
    `request` - the incoming `HttpServletRequest`
    `response` - the outgoing `HttpServletResponse`
  Throws:
    `java.io.IOException`
    `ServletException`

### proceedAction

    public ActionForward proceedAction(ActionMapping pMapping,
                                       ActionForm pForm,
                                       HttpServletRequest pRequest,
                                       HttpServletResponse pResponse)
                                throws java.lang.Exception

  Allows to hack and complete the Action execution

  Parameters:
    `pMapping` - the `ActionMapping`
    `pForm` - the `WebRenderActionForm`
    `pRequest` - the `HttpServletRequest` to process
    `pResponse` - the `HttpServletResponse` to send
  Returns:
    Initially returns null, but can be forwarded to a JSP (set in struts-config.xml)
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD